glibmm: Glib::Container_Helpers::ArrayHandleIterator< Tr > Class Template Reference

glibmm 2.46.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::Container_Helpers::ArrayHandleIterator< Tr > Class Template Reference
Generic container converters » Helper classes

`#include <glibmm/arrayhandle.h>`

## Public Types
typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::random_access_iterator_tag | iterator_category
typedef CppType | value_type
typedef std::ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer

## Public Member Functions
| ArrayHandleIterator (const CType* pos)
value_type | operator* () const
value_type | operator[] (difference_type offset) const
ArrayHandleIterator< Tr >& | operator++ ()
const ArrayHandleIterator< Tr > | operator++ (int)
ArrayHandleIterator< Tr >& | operator-- ()
const ArrayHandleIterator< Tr > | operator-- (int)
ArrayHandleIterator< Tr >& | operator+= (difference_type rhs)
ArrayHandleIterator< Tr >& | operator-= (difference_type rhs)
const ArrayHandleIterator< Tr > | operator+ (difference_type rhs) const
const ArrayHandleIterator< Tr > | operator- (difference_type rhs) const
difference_type | operator- (const ArrayHandleIterator< Tr >& rhs) const
bool | operator== (const ArrayHandleIterator< Tr >& rhs) const
bool | operator!= (const ArrayHandleIterator< Tr >& rhs) const
bool | operator< (const ArrayHandleIterator< Tr >& rhs) const
bool | operator> (const ArrayHandleIterator< Tr >& rhs) const
bool | operator<= (const ArrayHandleIterator< Tr >& rhs) const
bool | operator>= (const ArrayHandleIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

typedef Tr::CppType Glib::Container_Helpers::ArrayHandleIterator< Tr >::CppType

template <class Tr >

typedef Tr::CType Glib::Container_Helpers::ArrayHandleIterator< Tr >::CType

template <class Tr >

typedef std::ptrdiff_t Glib::Container_Helpers::ArrayHandleIterator< Tr >::difference_type

template <class Tr >

typedef std::random_access_iterator_tag Glib::Container_Helpers::ArrayHandleIterator< Tr >::iterator_category

template <class Tr >

typedef void Glib::Container_Helpers::ArrayHandleIterator< Tr >::pointer

template <class Tr >

typedef value_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::reference

template <class Tr >

typedef CppType Glib::Container_Helpers::ArrayHandleIterator< Tr >::value_type

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::ArrayHandleIterator< Tr >::ArrayHandleIterator | ( | const CType* | pos | ) |
| inlineexplicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator!= | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

value_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator* | ( |  | ) | const
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator+ | ( | difference_type | rhs | ) | const
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator++ | ( |  | ) |
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator++ | ( | int |  | ) |
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator+= | ( | difference_type | rhs | ) |
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator- | ( | difference_type | rhs | ) | const
| inline

template <class Tr >

difference_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator- | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-- | ( |  | ) |
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-- | ( | int |  | ) |
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-= | ( | difference_type | rhs | ) |
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator< | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator<= | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator== | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator> | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator>= | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

value_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator[] | ( | difference_type | offset | ) | const
| inline